=== debian/control ===
Source: ftplib
Section: libs
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~), python
Vcs-Git: git://git.debian.org/collab-maint/ftplib.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ftplib.git
Homepage: http://nbpfaus.net/~pfau/ftplib/

Package: ftplib3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of callable ftp routines
 Ftplib presents a convenient C interface for the standard File
 Transfer Protocol (FTP).  It makes it easier for programmers to
 use file transfer in their programs.

Package: ftplib-dev
Section: libdevel
Architecture: any
Depends: ftplib3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Library of callable ftp routines (development)
 Ftplib makes it easier for C programmers to use file transfer in their
 programs.  This package is required to compile and link programs that
 use ftplib.  It includes an example command line utility for
 transferring files via ftp (RFC959).
