=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O2
else
	CFLAGS += -O0
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C linux DEBUG="$(DEBUG)"

override_dh_auto_clean:
	[ ! -f linux/Makefile ] || $(MAKE) -C linux clobber

override_dh_auto_install:
	python debian/html2man.py html/Ftp*.html \
				  debian/ftplib-dev/usr/share/man/man3

override_dh_compress:
	dh_compress -Xexamples

override_dh_link:
	dh_link
	cd debian/ftplib-dev/usr/share/doc/ftplib-dev \
		&& rm html/model.html \
		&& mv examples/Makefile.examples examples/Makefile \
		&& $(MAKE) -C examples
