=== debian/watch ===
# Upstream is not reliable in using a consistent scheme for release
# http://nbpfaus.net/~pfau/ftplib/ is the main page but it currently
# doesn't respond anymore -- Raphael Hertzog on 20091004
