## ftplib 4.0-1

=== debian/changelog ===
ftplib (4.0-1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add a working watch file.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 Jul 2016 12:44:32 +0200

ftplib (4.0-1-1) experimental; urgency=low

  * New upstream release.
    - Dropped debian/patches/check-getservbyname-failure
    - Refreshed debian/patches/fix-ascii-read-without-eol
    - All perror calls are now protected with "if (ftplib_debug)".
      Closes: #24429
    - License changed to Artistic-2.0.
  * Rename ftplib3 into libftp4 for SONAME bump.
  * Rename ftplib-dev into libftp-dev (with "Provides: ftplib-dev" to not break
    existing packages, and Replaces for smooth upgrade).
  * Drop debian-generated manual pages as debian/html2man.py no longer copes
    with the updated documentation. Keep only the HTML documentation.
    This also helps to make the build reproducible. Closes: #831645
  * Use ${misc:Pre-Depends} instead of hardcoding multiarch-support.
  * Update Vcs-* fields to use https.
  * Update symbols file:
    - DefaultNetbuf has been dropped
    - FtpSetCallback/FtpClearCallback have been added
    - net_read/net_write have been added (although they are
      likely private symbols)
  * Switch debhelper compat to 9.
  * Patch upstream Makefile to pass CFLAGS/CPPFLAGS/LDFLAGS (for proper
    hardening support).
  * Bump Standards-Version to 3.9.8.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 Jul 2016 12:17:12 +0200

ftplib (3.1-1-9) unstable; urgency=low

  * Add new patch debian/patches/fix-ascii-read-without-eol to fix a bug where
    FtpRead in ASCII mode would overwrite the first byte of data read with a
    NUL char if no EOL is found in the next block of data read.
  * Install library in multiarch path.
  * Set CFLAGS/LDFLAGS/CPPFLAGS via dpkg-buildflags.
  * Bump Standards-Version to 3.9.2.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 11 Jun 2011 16:07:39 +0200
