=== debian/control ===
Source: ftplib
Section: libs
Priority: optional
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ftplib.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ftplib.git
Homepage: http://nbpfaus.net/~pfau/ftplib/

Package: libftp4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of callable ftp routines
 Ftplib presents a convenient C interface for the standard File
 Transfer Protocol (FTP).  It makes it easier for programmers to
 use file transfer in their programs.

Package: libftp-dev
Section: libdevel
Architecture: any
Depends: libftp4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: ftplib-dev
Provides: ftplib-dev
Description: Library of callable ftp routines (development)
 Ftplib makes it easier for C programmers to use file transfer in their
 programs.  This package is required to compile and link programs that
 use ftplib.  It includes an example command line utility for
 transferring files via ftp (RFC959).
