=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src DEBUG="$(DEBUG)"

override_dh_auto_clean:
	$(MAKE) -C src clobber

override_dh_auto_install:
	mkdir -p debian/libftp4/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a src/libftp.so.* debian/libftp4/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/libftp-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a src/libftp.a src/libftp.so debian/libftp-dev/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_compress:
	dh_compress -Xexamples

override_dh_link:
	dh_link
	cd debian/libftp-dev/usr/share/doc/libftp-dev \
		&& mv examples/Makefile.examples examples/Makefile \
		&& $(MAKE) -C examples
