=== debian/watch ===
version=3
http://nbpfaus.net/~pfau/ftplib/ ftplib-(\d.*)\.tar\.gz
